---
title: Overview of User Experience Design
summary: Introduction to User Experience Design｜Week1
created: 2021-11-08T10:54:40+08:00
# categories:
#   - UX学习笔记
#   - Introduction to User Experience Design
tags:
  - UX
---

## 课程简介

这是一门在 [Coursera](https://www.coursera.org/learn/user-experience-design) 上的 UX 课程，共有五个星期的内容，讲了 UX 的基本概念和实际操作流程，主要侧重用户研究方面，也讲了很多和设计心理学有关的内容，很适合 UX 入门。

我将按照课程内容的划分，分别发布五个 weeks 的笔记，这是第一篇。

原笔记是在 Notion 上写的，我喜欢用 Notion 里面的 toggle 效果，用“提问”-“答案”的形式来启发思考，但是博客这里用折叠文本比较麻烦，所以直接列出来了

## Week 1 笔记

### 什么是 ux？

> User Experience design is design that is user centered。The goal is to design artifacts that allow the users to meet their needs in the most effective efficient and satisfying manner。
>
> **以用户为中心的设计。目标是轻松高效地满足用户的需求。**

### 用户体验设计的核心概念

> “用户使用界面来完成任务”

通过理解用户以及他们要完成的任务，以便设计出最好的界面 (interface)

### 什么是用户

这里的“用户”是指使用一些技术来达到目的的个体

### 什么是界面

有输入、输出、系统，于此同时，每个输入都会导致一个期望的输出：
![有输入、输出、系统，于此同时，每个输入都会导致一个期望的输出](/2021-11-08-ux1/1.png)
个人使用界面的能力与个人特征、群体、社会有关
![个人使用界面的能力与个人特征、群体、社会有关](/2021-11-08-ux1/2.png)

### 用户体验设计的目标

![](/2021-11-08-ux1/3.png)

**设计“能用”并且“好用”的界面**

- “**能用**”的意思是：它可以让用户完成一个任务。在图中，这个系统 (S) 就产生了期望的成果 (Output)
- “**好用**”的意思是：用户可以有效高效甚至满意地达成这项任务。在我们的图表中，这需要轻松快速地输入 (Input) 并且输出 (Output) 的结果有效的完成了任务

### 界面设计环 (四个步骤)

![](/2021-11-08-ux1/4.png)

#### Step1：Requirements Gathering 收集需求

- Understanding the user and what her goals are，What are the current practices
- This step can also be thought of as understanding the**“problem space”**- what is hindering the completion of the task how can the task or process be improved
- A whole host of techniques are presented that allow the designer to collect data about the user，her goals and current practices

#### Step 2：Design Alternatives 设计方案

- Once you understand the users，their goals，and their current practices (e.i., the problem space) you are able to take this data and **develop various design options** that will improve the user experience

#### Step 3：Prototyping 原型

- Techniques for modeling the novel designs before a final version is produced

#### Step 4：Evaluation 评估测试

- A set of techniques for ascertaining that your design meets the needs of the user

### 什么样的界面是“实用”的？

“实用性”指的是有效、高效并且让用户觉得满意的。

> 如果用户能够理解怎样的输入 (Input) 会带来所需的输出 (Output) 那么这个界面就是实用的

### 好设计的三个特征

![](https://i.loli.net/2021/11/08/MtmwlyuXHGgbJPZ.png)

#### 1 - Affordance (示能)

> 指一个物理对象与人之间的关系
>
> (无论是动物还是人类，甚至机器和机器人，他们之间发生的任何交互作用)

是指可以感知到的事物的实际属性，主要是那些决定事物如何被使用的基本属性 (看看你的智能手机，我们会看到很多种功能，例如按键，可以感知到可以被按。)

#### 2 - Signifiers (意符)

> 能告诉人们正确操作方式的任何可感知的标记或声音。

示能决定可能进行哪些操作，意符则点名操作的位置。

#### 3 - Feedback (反馈)

> 一些让你知道系统正在处理你的要求的方式

反馈需要将用户信息发送回来其中包括哪些系统输入的信息已发生它跟我们沟通操作结果

- 输入：示能、意符
- 输出：示能

### 如何与“用户”接洽

注意礼貌、着装

#### 三个步骤

**1 - 介绍**

- 简要概述目标
- 坦率：让用户知道该会话的目标是什么。询问他们坦率的意见。
- 保密：说明交互内容是保密的。
- 自愿：在介绍期间，向用户解释他们的参与完全是自愿的。他们可以随时停止参与。如果他们希望停止参与，这不会消极地影响他们与你的公司或机构的关系。这一部分是很重要的，它能让用户放心并能够不受约束，因为你可能代表一个在社区中具有较高知名度的实体
- 开放：让他们知道，没有正确或错误的答案，他们应该简单直接地向你提供反馈和意见

**2 - 交流**

- 中立态度、语气轻松专业。
- 如果形式允许，鼓励详细阐述意外或有趣的信息
- 保持对交流过程的控制，尽量覆盖所有话题

**3 - 结束**

- 在会话结束时，提醒他们有关交互的目标和您打算如何处理他们提供的数据。
- 询问他们是否还有需要补充的内容。
