---
title: Evaluation
summary: Introduction to User Experience Design｜Week5
created: 2021-11-18T22:09:49+08:00
categories:
  - UX学习笔记
  - Introduction to User Experience Design
tags:
  - UX
---

## **评估**

- 可以确定我们正在改善用户的体验
- 需要定性、定量的数据

## **分类**

### 形成性评估

- 在设计**低保真**原型的过程中进行的
- 数据：( 例如：完成任务的时间或点击次数）（关注任务）
- 环境：一个受控环境, 例如, 实验室或办公室

### 总结性评估

- 是在**高保真**原型或最终界面即将完成的情况下进行的。
- 数据：设计者能够访问的和分析的数据， 它们可以告诉我们如何使用系统。 例如，用户开始和结束会话时可能会有时间戳， 并记录用户如何与系统交互的数据（真实场景）、
- 场景：高保真原型可在野外进行，如真实的使用场景

## **如何评估**

### 数据收集

- 以问卷形式进行的定量数据,
- 记录用户完成任务时所经过的路径的数据。
- 用户访谈的形式获得的定性数据

### 衡量

- 衡量任务的目标所达到的程度（完成程度）
- 包括完成任务的时间、单击次数或   执行任务时出现的错误数。

### 可学习性

- 定义：首次成功完成任务的简单程度。
- 衡量：完成任务的点击次数、完成任务所需的时间量来获得客观的测量结果， 然后将这些数据与专家的表现进行比较。

### 可记忆性

- 定义：要记住产品用方法的难易程度（如何在反复试验之后在界面上执行给定的任务）
- 衡量：时间量或点击次数（完成一项反复试验的任务, 以获得可记忆性的测量）

### 主观情感评估

![](/2021-11-18-ux5/1.png)

- 认知测量：心理负担
- 情感测量：情感体验

## **相关资源**

1. [usability evaluation](http://www.usability.gov/what-and-why/usability-evaluation.html)
2. [15. Usability Evaluation](https://www.interaction-design.org/literature/book/the-encyclopedia-of-human-computer-interaction-2nd-ed/usability-evaluation)
3. [more than ease of use](http://www.wqusability.com/articles/more-than-ease-of-use.html)
4. [Measuring Usability: Are Effectiveness, Efficiency, and Satisfaction Really Correlated?](http://www.diku.dk/~kash/papers/CHI2000_froekjaer.pdf)
5. [usability 101|introduction to usability/](https://www.nngroup.com/articles/usability-101-introduction-to-usability/)

## **推荐教材**

### Trade Book

- **The Design of Everyday Things**
  2013 edition by Don Norman

### Text Books

- **Interaction Design**
  - by Jennifer Preece, Helen Sharp and Yvonne Rogers (in alphabetical order).
  - There are four editions of this book. I believe any of the editions are a good purchase. This is the book I use in my undergraduate college course.
- **Human Computer Interaction**
  - 2004 by Dix, Finlay, Abowd & Beale.
  - This is an advance text book.
- **Understanding Your Users**
  - 2015 edition by Baxter, Courage & Caine.
  - I really like this book because it does what it claims, provides a "practical guide to User Research Methods

## **参考网站**

- [What is Usability? | Usability Body of Knowledge](http://www.usabilitybok.org/what-is-usability)
- [User interface design - Wikipedia](https://en.wikipedia.org/wiki/User_interface_design)
- [User experience design - Wikipedia](https://en.wikipedia.org/wiki/User_experience_design)
- [Usability First: Usability in Website and Software Design](http://www.usabilityfirst.com/)
- [Methods](http://www.usability.gov/how-to-and-tools/methods/index.html)
