---
title: 通用设计 VS. 包容性设计
created: 2022-08-14
summary: Universal Design VS. Inclusive Design
tag:
  - Design
  - Notes
image: /2022-08-14-design/photo.png
---

这篇博文为测试博文，是读论文[《通用设计与包容性设计原则的发展和挑战》](https://www.researchgate.net/publication/328981184_tongyongshejiyubaorongxingshejiyuanzedefazhanhetiaozhan)的学习笔记，内容可能有不对的地方，逻辑也可能不通顺，感兴趣的朋友可以再研究一下。

## 社会背景和起源

- **人口老龄化和失能者增加**

  老人和失能者的社会境遇往往与普通人明显不同

- **设计师摩尔（Patricia Moore）的变装实验**
- **无障碍（Barrier-free）运动**

  （20th50s）开启了公共政策和设计实践的变革

- 1963 年，英国建筑师戈登史密斯（Selwyn Goldsmith）出版了名为 **《为失能者设计》** 的综合建筑设计导则
- **失能人士权力运动**
- **全球层面存在的具有地缘特征的挑战**

  诸如越来越多的移民和流动人口造成的族群和文化多样性 ；经济发展失衡和贫富分化 ；城市化进程对生活方式的影响等等

## 共同的理念

> 产品和环境应考虑全体公民的需求和权利

> 减少和消除失能者与普通人之间在生理和思想观念上的隔阂

> 努力帮助失能者融入主流群体

> 失能者提供的许多环境变化实际上能使每个人都从中受益，许多类似的功能可以普及推广，从而更便宜，更有吸引力，甚至更有市场，并且不会带有污名化和歧视性标签

## 相关概念

### 无障碍设计 Barrier-free Design

- 特点

  针对<u>残疾人</u>考虑

- 障碍的尺度
  - 永久性残疾 permanent disability
  - 情境性残疾 situational disability
  - 临时性残疾 temporary disability
- 设计的角度（障碍的具体原因）
  - 视觉无障碍设计 visual
  - 听觉无障碍设计 hearing
  - 行动无障碍设计 mobility
  - 认知无障碍设计 cognition

### 跨代设计 Transgenerational Design

- **起源**

  美国雪城大学（Syracuse University）的**珀克尔**（James Pirkl）教授和他的同事们提出概念以及一系列适用于这一概念的指导方针和战略

- **定义**

  主张产品、服务和环境同时满足**不同年龄**和能力人群的需求，尤其强调老年人应能与年轻人在同一环境中共事

### 全纳设计 Design for All

- **起源**

  北欧斯堪的纳维亚地区

- **概念**

  强调产品应被设计为可让最广泛的用户群使用，包容人类的多样性，尊重人的**平等**

### 通用设计 Universal Design

- **特点**

  从商业利益角度

- **起源**
  - **美国**建筑师、设计师和教育先驱梅斯（Ron Mace）
  - 将概念从无障碍设计强调环境应**适合失能人士**的语境
- **概念**

  强调产品和环境不需要作特别调整而尽最大可能为**所有人可用**的理念

- **NCSU 的通用设计原则**

  - 具体原则
    - 使用平等
    - 使用灵活
    - 使用简单直观
    - 信息可觉察
    - 容错
    - 不费力
    - 适于接近和使用的尺度与空间
  - 三个层次

    1. **价值**

       - "平等观"
       - 强调对所有的用户一视同仁。
         需注意这种一视同仁并非出于漠视用户的差别，而是指产品、服务和环境对用户使用体验和价值的一致性，即用户所得结果的一致性，此一致性不应受用户能力差异的影响。

    2. **需求**
       - 强调尽可能降低对用户的能力要求，其所指的能力既包括了生理和感官能力，也涵盖了认知和表达。
       - 一般选择以最低能力的用户为标准进行设计，从而使产品、服务和建成环境得以覆盖全体用户的使用能力范围。
    3. **供给**

       主张提供尽可能高的灵活性和容错能力

- **设计的目标**
  1. 合身——适应各种体型和能力
  2. 舒适——将需求保持在身体机能的理想限度内
  3. 觉察——确保（产品）使用的关键信息易于获得
  4. 理解——使操作和使用的方法直观、清晰、明确
  5. 健康——有助于促进健康、避免疾病和预防伤害
  6. 社会融合——以有尊严和尊重的方式对待所有群体
  7. 个性化——包含选择机会和个人偏好的表达
  8. 文化适宜性——尊重和加强设计项目的文化价值及社会和环境背景。
- **案例**
  - 斜坡入口
  - 自动门
  - 杠杆门把手
  - 平板灯开关
  - 任务照明

### 包容性设计 Inclusive Design

- **起源**

  英国

- **概念**

  主旨是在认识到用户**群体多样性**的情况下，倡导主流的产品、服务和建成环境应尽可能满足更多人的需求 ，或者说，将设计可能产生的**排斥度降到最低**。

- **特点**
  - 和通用设计与全纳设计强调在技术可能性允许的条件下将可及性最大化略有不同，包容性设计主张为产品、服务和建成环境选取**合适的市场区间**，通过降低对用户使用能力的要求，从而将产品的主要适用人群在合理的可能性下最大化，并提升用户体验和满意度
  - 并不以失能者为中心，也避免采用“辅助技术”
  - 注重每个个体的福祉，但不再刻意追求在一项设计中满足所有群体的需求。
- **意义**

  包容性设计可以在有限的资源约束下，为创造尽可能多的普惠价值提供方法和途径，从而与辅助技术的发展相辅相成。

- **“群体金字塔”**
  ![](https://usc1.contabostorage.com/cc0b816231a841b1b0232d5ef0c6deb1:image/2022/08/f4ab11b26e603eebdae33aa65d0a7c66.png)

展现了群体中的个体能力多样性差异

- **方法论**

  通过合理降低能力要求，提升在不同情境下广泛客户群的产品体验

- **案例**
  - 微软推出的 Xbox Adaptive Controller
  - Chrome 浏览器的无障碍字幕

## 总结

- **通用设计**：
  - 强调产品和环境无需做特别调整而尽最大可能为所有人而用。
  - 例如：公共空间的斜坡入口设计，既可以满足使用轮椅的人的需求，同时又有利于骑自行车的孩子、使用步行者的老年人、推婴儿车的父母等其他所有人群的使用。
- **包容性设计**：
  - 主张为产品、服务和建成环境选取合适的市场区间，通过降低对用户使用能力的要求，从而将产品的主要适用人群在合理的可能性下最大化。
  - 例如：微软推出的 Xbox Adaptive Controller 是一款针对残疾玩家和运动技能较差的人的游戏机，它有更大的按键和更容易被打开的包装设计，残疾人可以不费力使用的同时，普通人也能轻松地使用。

总而言之，两者都有相同的出发点，即"帮助失能人群更好地融入主流群体"，同时都务实地接受一种产品并不总是能够满足整个人群的需求。其中，通用性设计以全体大众为出发点，不特意针对某一类族群而设计，包容性则主张在满足特定困难人群需求的基础上辐射到最广泛人群上。

## Reference

- [Universal Design 101 | Rick Hansen Foundation](https://www.rickhansen.com/news-stories/blog/universal-design-101)

- [包容性设计(inclusive design)和通用设计(universal design)的区别是什么？](https://www.zhihu.com/question/26045305)

- [从无障碍设计中学习如何成为一个更好的设计师](https://zhuanlan.zhihu.com/p/119766231)

- [无障碍设计](https://zhuanlan.zhihu.com/p/31657525)
- [Microsoft-Inclusive Design](https://www.microsoft.com/design/inclusive/)
