---
title: 我在看什么 · 10 月
created: 2022-11-01
summary: Bash 脚本 / Vue-> React / Git / Project book / The rules of friendship
tags:
  - 我在看什么
image: /2022-11-01-reading-10/October.jpg
---

## 前端相关

- [Vue3 入门指南与实战案例](https://vue3.chengpeiquan.com/)
- [带你再看 Vue 文档，你就顺便学会了 React](https://juejin.cn/post/6844904034432712712)

  比较基础的内容，但这样类比起来还挺好理解的。 感觉写 React 跟原生 JS 差不多，Vue 则感觉会让人忘了 JS……

- 这个 React 组件库看起来不错： [https://www.radix-ui.com/](https://www.radix-ui.com/)

- 读剪报：[Weekly Frontend News - Collective #732](https://tympanus.net/codrops/collective/collective-732/)
- [【译】ES6 的工厂函数](https://www.jianshu.com/p/9ce26a5044e6)

  > 工厂函数是一个最后返回值是对象的函数，但它既不是类，也不是构造函数。在 JavaScript 中，任何函数都可以返回一个对象。但当函数没有使用 new 关键字时，那它便是一个工厂函数。

  > 当你想要返回一个对象字面量的时候，如果你使用了大括号，JavaScript 会默认你想要创建一个函数体。像是`{ broken: true }`。如果你想要通过隐式返回来返回一个字面量对象，那你就需要在你的字面量对象外面包裹一层小括号来消除这种歧义

- [ECMAScript 6 入门 ——Promise 对象](https://es6.ruanyifeng.com/#docs/promise)

  收藏很久了，一直没看，果然写得清晰易懂

- [JavaScript 数据结构与算法之美](https://github.com/biaochenxuying/blog/issues/43)
- [前端应该掌握的浏览器调试技巧](https://juejin.cn/post/7145256569041584142)
  - console.assert/ console.error /console.time / console.timeEnd / console.dir….
  - 断点调试
- [编写 Bash 脚本所需知道的一切](https://www.linuxmi.com/bash-programs-writing.html)
- [【动效实现】超酷炫的 3D 视差 Hover 效果](https://juejin.cn/post/7126369893930237989)

  原来 steam 上面那种悬浮卡片可以这样做

  > 视差效果其实就是在 2D 的平面上，利用不同元素位置变化的速度不同，来模拟肉眼对物理世界远近感知的差异。观察者位移，距离近的物体位置变化大，而距离远的物体位置的变化小。

- [超强的苹果官网滚动文字特效实现](https://www.cnblogs.com/coco1s/p/16808899.html)
- [​ 一个被忽略的前端细分领域](https://mp.weixin.qq.com/s/vF58bbxwCbO_9VhLgj5S0g)

  说的似乎是交互式文档，确实有想法朝这个方向升级一下博客。 （ps：为啥 markdown 不说全，要说 MD，这谁知道是啥）

- [前端面试知识点（一）](https://juejin.cn/post/6987549240436195364)

  看了其中[Promise 的部分](https://juejin.cn/post/6987549240436195364#heading-33)，感觉写得很不错

## Git 相关

- [Pro Git 官方版](https://www.git-scm.com/book/zh/v2)
- [Pro Git 第二版（中文版）](https://www.kancloud.cn/kancloud/progit)
- [Commit message 和 Change log 编写指南](https://www.ruanyifeng.com/blog/2016/01/commit_message_change_log.html)
- [Github 漫游指南 - 挑选好 license](https://github.phodal.com/#/chapter/Github%E6%BC%AB%E6%B8%B8%E6%8C%87%E5%8D%97?id=%e6%8c%91%e9%80%89%e5%a5%bd-license)
- [Github 上如何添加 LICENSE 文件？](https://www.cnblogs.com/chenmingjun/p/8555906.html)
- [添加许可到仓库 - GitHub Docs](https://docs.github.com/cn/communities/setting-up-your-project-for-healthy-contributions/adding-a-license-to-a-repository)

也可以通过添加`COPYING` 文件添加 license

## Resources

- [Awesome list of web development resources 💥As you learn, keep this list handy.](https://stark.bearblog.dev/awesome-list/)
- 好多书噢 [FreeComputerBooks.com](https://freecomputerbooks.com/)
- [Projectbook](https://projectbook.code.brettchalupa.com/_introduction.html)
- [Three.js 系列教程，学习和探索 Three.js 世界。](https://github.com/puxiao/threejs-tutorial)

  作者其他系列教程好像也不错：https://www.puxiao.com/

- [⚛️ 2022 React developer roadmap with +39 FREE resources to learn from.](https://twitter.com/_georgemoller/status/1576956039647354882)

## 小碎步

- [在遛狗的时候用 Kindle 读书](https://www.owenyoung.com/blog/reading-while-walking-dogs/)
- [电纸书阅读器使用小记](https://www.uncoverman.com/share-android-eink-reader-usage.html)
- [The rules of friendship](https://alearningaday.blog/2022/10/24/the-rules-of-friendship/)

  > When I consider the people I know with the greatest talent for friendship, I realize that they do just this. They make contact a priority. They jump in their cars. They appear at regular intervals in my inbox. One told me she clicks open her address book every now and then just to check which friends she hasn’t seen in a while—and then immediately makes a date to get together.

  想来我还是太不主动了

- [做了 6 年程序员，我学到的 10 条经验](https://lutaonan.com/blog/things-i-learnt-after-6-years-as-software-engineer/)

  > 「三板斧」指的是「可灰度」、「可监控」、「可回滚」。在代码发布之前，要先想想自己的代码是不是符合这三个条件。

  > 学习技术并不一定要求你把他用到工作中。工作就是工作，学习就是学习。工作的内容是为了业务服务的

  > 而工作则相当于是一个真实的场景，是在你学习新的技术的时候，帮助你进行实际思考的场景。你需要有意识地去想，这个技术如果用到我的工作中，它是否适合？它能解决什么问题？它为什么适合？它为什么不适合。当你在学习新技术的时候，结合这个技术，多思考这些问题，这才是真正的学习。

- [我的笔记系统实践](https://sspai.com/post/75940)

  在这里发现一个 markdown 预览插件：[Markdown Preview Plus](https://chrome.google.com/webstore/detail/markdown-preview-plus/febilkbfcbhebfnokafefeacimjdckgl/related)

- [Index-pengx17](https://pengx17.vercel.app/)

  这个博客好简洁
