---
title: 什么是设计洞察 · What is Insight
created: 2021-10-15T15:07:14.533Z
tags:
  - Design Thinking
  - 翻译
keywords:
  - insight
---

原文： [thrivethinking.com](https://thrivethinking.com/2016/03/28/what-is-insight-definition/)

## insight 不是什么

- 不是数据
- 不是简单的事实观测
- 不是用户的需求陈述（例如: 我需要、我想要）

## 是什么

1. 是揭示本质的

> An unrecognized fundamental human truth that reveals the inner nature of things
>
> 一个未被承认的人类基本真理，揭示了事物的内在本质

2. 是一种看待世界的新方式

> A new way of viewing the world that causes us to reexamine existing conventions and challenge the status quo.
>
> 一种看待世界的新方式，使我们重新审视现有的惯例并挑战现状

3. 是对人类行为的深入观察

> A penetrating observation about human behavior thaWhat Is Insight- The 5 Principles of Insight Definitiont results in seeing consumers from a fresh perspective.
>
> 对人类行为的深入观察，导致从一个全新的角度看待消费者。

4. 是一种对人们潜在行为的发现

> A discovery about the underlying motivations that drive people’s actions.
>
> 对驱动人们行动的潜在动机的发现。

**洞察(Insight)让我们去思考人们为什么做事，是什么阻碍了人们做事情，它更深入问题根源，而不是停留在表面**

## 五大要素

**语境/困境/动机/原因/设想**
[![](https://thrivethinking.com/wp-content/uploads/2016/03/WhatIsInsight_5.jpg ' ')](http://thrivethinking.com/wp-content/uploads/2016/03/WhatIsInsight_5.jpg)

## 定义 Insight 的步骤

### 1.设定语境/场景

> A simple observation of how people behave in a given situation, what they think, what they feel, but most importantly explain what they are doing and trying to achieve
>
> 一个关于人们在给定的情境内如何想、如何做、如何感受的观察陈述。重要的是要说明他们在做什么以及想做什么。

### 2.沟通困境

> understanding the barriers that are stopping consumers from achieving what they want to achieve with a given product, service or experience
>
> 了解消费者通过特定产品、服务或体验实现其愿望时遇到的障碍。

### 3. 阐明原因

> An insight statement is a discovery of understanding and the identification of unmet needs to explain why something is happening the way it is
>
> 洞察力声明是对理解的发现和对未满足需求的识别，以解释为什么事情会以这样的方式发生.

> You must know the reason a consumer is behaving in a particular way, and why it is happening if you are to develop a product or service that can in some way augment the behavior or change it.
>
> 你必须知道消费者以特定方式行事的原因，以及为什么会发生这种情况，如果你要开发一种产品或服务，以某种方式增强这种行为或改变它的话。

### 4. 捕捉动机

> Discovering the underlying motivations that drive people’s actions
>
> 发现推动人们行动的潜在动机

> End-users of a product or service are motivated to change by the tensions that exist in their lives.
>
> 产品或服务的终端用户被他们生活中存在的紧张关系所激励而改变

> Look for tensions in four key areas: the physiological, the emotional, the cognitive and the environmental to inform your insight statements.
>
> 寻找四个关键领域的紧张关系：生理的、情感的、认知的和环境的，

### 5.构想理想

> It is important to describe the desired end-state or situation the consumer is seeking.
>
> 描述消费者所追求的理想的最终状态或情况是很重要的

> The key here is not to define a solution but clearly convey how the consumer would like the world to look and feel, what the ideal experience should be.
>
> 此处的关键在于不需要定义一个清晰的解决方案，而需要清楚地传达消费者希望世界看起来和感觉如何，理想的体验应该是什么

> An excellent way to articulate this is to start with the statement “I wish there was,
>
> 一个很好的表达方式是以 "我希望有 "开始

## 如何表达

> Think of insight definition as a three sentence journey that takes the reader through the consumer’s situation, frustration, and future desires.
>
> 将洞察定义视为一个三句话的旅程，带领读者了解消费者的情况、挫折和未来的愿望。

### 第一句话——描述现状和用户行为。

> **_Having pictures around that instantly remind me of special moments and people, makes me feel good.”_**
>
> "身边有照片，能让我立即想起特别的时刻和人物，让我感觉很好。"

### 第二句话——描述用户的困境，并说明造成困境的原因。

> **_“But I find that pictures from my digital camera often stay hidden on my devices because I never have time to print them.”_**
>
> "但是我发现我的数码相机里的照片经常被藏在我的设备里，因为我从来没有时间去打印它们。"

### 第三句话——描述用户期望的最终理想状况。

> **_“I wish there was a way to enjoy them everyday without having to actively play them on my TV or computer.”_**
>
> "我希望有一种方法可以每天欣赏它们，而不必在电视或电脑上主动播放它们。"

### Tips

- 用第一视角书写
- 真实、人性化的口吻
- 客观、真诚

## 什么是一个好的'Insight'

- 它在情感层面与消费者建立联系，并引起 "你显然理解我 "的反应。
- 它重新审视现有的惯例并挑战现状。
- 它解决了一个真正的问题，从而产生了新的客户。
- 它通过给你一个明确的目标来激发行动。
- 它清楚地说明了下一步该做什么以及如何为你的客户提供价值。
- 它为团队带来了新的感知水平，并有助于做出明智的决策。

## Insight->How Might We?

需要把 insight(洞察)转变为 HMW（我们如何？）

例如：

> "我们可能如何每天享受我们的记忆，而不必花时间在设备上主动播放它们？"

## 后记

- insight 在作品集中如何表达？看到有 Insight 只写一句话的，总结为'Key insights',内容上是关键的事实发现，而跟前文所述的这种深入的洞察不同，那是否存在两种 insight 的定义写法？
- 打算把 Insight 放到 Persona 后面，一个 Persona 对应一个 insight 和一个 How Might We.
