---
title: 《用户体验要素》- 战略层（产品目标和用户需求）
created: 2022-01-02 13:08:29
categories:
  - UX学习笔记
tags:
  - 《用户体验要素》
  - 读书笔记
summary: 第三章笔记
lastmod: 2022-05-07T05:33:16.860Z
---

- 战略层的基本问题？
  ![](https://uneorange.oss-cn-guangzhou.aliyuncs.com/202201021315650.png)

> 知道企业与用户双方对产品的期许和目标,有助于促进用户体验各方面战略的确立和制定

> 此处的关键词是“明确”

## 产品目标

- 产品目标的设定需要注意什么？
  > 要想在太具体和太宽泛之间取得一个平衡,我们就应该避免在尚未充分了解问题之前就试图得出结论。
  > 所以需要调研
- 品牌识别为什么很重要？
  > 对于任何一个网站,它需要明确描述的基础目标之一就是品牌识别( brand identity)
  > 品牌识別——可以是概念系统,也可以是情绪反应
  > 它之所以重要是因为它无法不被用户注意。在用户与产品交互的同时,企业的品牌形象就不可避免地在用户的脑海中形成了
- 成功标准( Success metrics)是什么？有什么用？
  > 即一些可追踪的指标，如印象数、转化率、日活等
  > 在产品上线以后用来显示它是否满足了我们自己的目标和用户的需求。
  > 好的成功标准不仅影响项目各阶段的决策,也为衡量用户体验工作价值提供了具体的依据。
  - 设定成功标准需要注意什么？
    > 对驱动用户体验决策而言有意义的成功标准,一定是可以明确地与用户行为绑定的标准,而这些用户行为也一定是可以通过设计来影响的行为。
    > 不是所有的成功标准必须直接由网站获得。你也可以衡量对网站的间接影响
    > 任何断章取义的标准都可能造成误导:请务必后退一步,看看除了网站之外发生了什么事,以确定你了解到事情的全貌。

## 用户需求

### 用户细分( user segmentation）

- 什么是用户细分？
  > 将用户分成更小的群组(或细分用户群)
  > 每一群用户都是由具有某些共同关键特征的用户所组成。

![](https://s2.loli.net/2022/01/02/aVewkFg5Cx1SHPq.png)

- 如何进行用户细分？
  > 经验或专业程度上的不同就形成了我们细分用户群的基本维度
  - 人口统计学 demographic)
    - 性别、年龄、教育水平、婚烟状况、收入等。
    - 这些人口统计的数据概况可以相当粗略(男性:18~49 岁) 也可以非常具体(未婚、女性、大学毕业、25~34 岁、年薪 5 万美元)。
  - 消费心态档案 psychographic profile
    描述用户对于这个世界,尤其是与你的产品有关的某个事物的观点和看法的心理分析方法。
- 细分到什么程度？
  > 创建细分用户群只是一种用于“揭示用户最终需求的手段”。你真正只需要得到的是和你发现的“用户需求数目”样多的细分用户群。
- 面对相互矛盾的用户需求应该怎么办？
  > 很明显,我们无法提供一种方案可以同时满足这两种用户的需求。
  > 此时,我们要么选择针对单一用户群设计而排除其他用户群,要么为执行相同任务的不同用户群提供不同的方式。

### 用户研究(User Research）

- 有什么研究工具？如何用？
  > 问卷调査、用户访谈,或焦点小组) 最适合用于收集用户的普遍观点与感知。
  > 用户测试或现场调査)则更适用于理解具体的用户行为以及用户在和产品交互时的表现。
- 什么是现场调查( contextual inquiry)？
  > 现场调查是指一整套完整、有郊全面的方法,用于了解在日常生活情境中的用户行为(因而得来此名)
  > 又叫行为考古
- 什么是任务分析( task analysis)？
  > 任务分析的概念是认为每个用户与产品的交互行为都发生在执行某一任务的环境中。
  > 有时任务非常具体(譬如买电影票),而有时任务比较宽泛( 如学习国际商务章程)
- 可用性的最终目标是什么？
  > 所谓可用性的最终目标,都是寻找令产品更容易使用的途径
- 什么是卡片排序法？( card sorting)
  用途
  > 对于由信息动的产品,卡片排序法( card sorting)用于探索用户如何分类或组织各种信息元素
  > 方法
  > 给用户一沓索引卡片,每一张卡片附有信息元素的名字、描述,一张图像或内容的类型。然后用户根据小组或类别,依照自己感到最自然的方式将卡片排列出来。分析几位用户的卡片排列结果,就可以帮助我们了解用户对产品信息的看法
  > 常用于信息架构

## 团队角色和流程

- 团队中怎样沟通传递产品目标和用户需求？
  > 产品目标和用户需求经常被定义在一个正式的战略文档 ( strategy document)或愿景文档( vision document)中。
  > 这文档不仅仅是列出目标清单一一它提供不同目标之间的关系分析,并且说明这些目标要如何融入更大的企业环境中去。
  > 这些目标和对它们的分析经常由决策者、普通员工,和用户自己的直接意见来支持。
  > 这些意见生动地说明了项目中的战略制定问题。用户需求有时被记录在一个独立的用户调研报告中(将所有信息集中在一个地方有某些好处)。
