---
title: 日常行为心理学
tags:
  - 设计心理学1
  - 读书笔记
categories:
  - 设计心理学
keywords:
  - 设计心理学
draft: false
# layout: post
created: 2021-10-20T16:14:47.371Z
summary: 《设计心理学 1》第二章——人们如何做事？当事情出错了怎么办？怎么知道要做什么？
lastmod: 2022-04-16T12:55:05.400Z
---

## 1.人们如何做事：执行与评估的鸿沟

当人们使用物品时，会面对两个心理鸿沟：执行的鸿沟、评估的鸿沟

![](https://raw.githubusercontent.com/norevi/image/main/img202110141357427.png)

### 执行的鸿沟：

- 试图弄清楚如何操作
- 当运行正常时，会有可见的要素以消除执行的鸿沟（即是容易看得明白是如何操作的）

### 评估的鸿沟：

- 试图弄清楚操作的结果
- 容易弥合（即可以从多方面获得评估的结果？）
- 评估的过程反映了努力的程度，人们必须对设备的物理状态做出解释，以便确定是否已经达到自己的期望和意图。
- 当设备以方便的形式提供了它的状态信息，而且容易阐释，符合用户认知系统的方法，那么评估的沟壑就小。
- 消除评价沟壑的主要的设计元素：反馈、概念模型。

### 如何消除这两个心理鸿沟：

- 执行的沟壑：意符、约束、映射、概念模型
- 评价的沟壑：反馈、概念模型

## 2.行动的七个阶段

### 行动的两个步骤

执行动作-> 评估结果（解释）

### 七个阶段：

![](https://raw.githubusercontent.com/norevi/image/main/img202110141358613.png)

#### 执行桥 （目标->外部世界）

1. 计划
2. 确认
3. 执行

#### 评估桥（外部世界->目标）

4. 对比
5. 诠释
6. 感知

大部分行动不需要按顺序经历所有阶段，事件行动之间相互影响，可能会有很多行动分支

### 行动的分类：

- 目标驱动型（目标->）
- 事件驱动型（外部世界->）

> 日常行动中许多是机会主义的行动，没有明确的目标

### “根本原因分析”

反复思索，追问背后的真实原因，如 5w

## 3.人的思想：潜意识主导

![](https://raw.githubusercontent.com/norevi/image/main/img202110141357967.png)

### 潜意识

- 人的行为大多数是潜意识的
- 毫不费力
- 基于过去的经验
- 自动迅速进行
- 偏重规则和结构
- 无法区分常见与罕见
- 不能被蓄意操纵

### 有意识的思维

- 缓慢而吃力
- 比较、判断、解释

### 认知和情感

- 认知：提供理解
- 情感：价值判断
- 关系：
  - 认知引导情绪，情绪影响认知
  - 协同工作

## 4.人的认知和情感

三个层次：本能、行为、反思

### 本能层

- 最基本的处理层、直接的感知
- 快速的、自发的、潜意识的
- 对当前状况的反映，不涉及过去
- 简单评估，不做价值判断
  例如：”悦耳“的声音，“冰冷”的水 （设计美学）

### 行为层

- 学习能力之本、交互之本，与行动，具体的操作有关
- 潜意识的
- 设计：行动应与期望相关联（正价反应、负价反应），方法是建立合理的反馈机制以管理预期。

### 反思层

- 有意识的认知之本，深度而缓慢的
- 发展深层理解，推理、判断
- 所产生的情绪最持久
- 反思的回忆比现实更重要，反思的情感认知会掩盖行为层和本能层带来的影响。

> 高层次的反思认知可以触发低层次的情绪。低层次的情绪会引发更高层次的反思认知。

## 5.行动的七个阶段和大脑的三个层次

![](https://raw.githubusercontent.com/norevi/image/main/img202110202321409.png)

### 心流

是什么：完全沉浸在行动中的情感

会如何：人们会忽略外部时间和空间，有身临其境的感觉

特点

- 人们热衷于的
- 需要一定专注力
- 适当难度
- 目标清晰
- 立即反馈
- 控制感
- 行动时，忧虑消失
- 活动时，主观时间感知改变

## 6.自说自话

人们喜欢为事情建立因果关系

### 概念模式

- 是一种形式的故事
- 来源于部分事实和经验，不是完全准确的
- 当外部信息缺乏时，人们靠想象力辅佐建立概念模型

## 7.责备错误之事

- 人们习惯为相继发生的两件事情之间建立因果关系
- 第一次尝试失败后，人们倾向于重复这个动作（反馈应迅速）

### 给用户有保留的预测：

- 显示最差的预计情况
- 最长的预估时间

### 习得性无助（自责循环）

- 指在多次经历失败后，便认为自己无法做好某事，结果陷入无助的状态。
- 人们将不再进行尝试。

### 积极心理学

即一种正面思考的并且自我感觉良好的文化

### tips：

- 不要责怪用户的错误使用，反思产品问题，提升体验
- 比“错误处理指南”更重要的是，消除产品本身错误。
- 直接从帮助和指导信息中纠正问题，不要让用户重新开始。
- 为用户纠正问题提供应有的帮助。

## 8.不当的自责

### 自责的原因

系统差错被归因为人为差错

### 设计师应如何

- 错误发生之前：减少不当行为发生的机会->示能、意符、映射、约束等
- 错误发生时：让人们发现错误并纠正->反馈、概念模型

> 人擅长灵活的工作和创造，机器擅长准确的工作。

## 9.行动的七个阶段：七个基本设计原则

![](https://raw.githubusercontent.com/norevi/image/main/img202110202327901.png)

### 前馈

有助于回答执行类（做）的信息->如何做？

### 反馈

有助于理解发生了什么的信息->发生了什么？

### 设计的七个基本原则

可见性、反馈、概念模型、示能、意符、映射、约束
