---
draft: false
title: 头脑中的知识和外界知识
tags:
  - 设计心理学1
  - 读书笔记
categories:
  - 设计心理学
keywords:
  - 设计心理学
created: 2021-10-20T17:08:47.371Z
summary: 《设计心理学 1》第三章——并非精确行为需要的所有知识都得储存在头脑里
lastmod: 2022-04-16T12:55:13.235Z
# layout: post
---

并非精确行为需要的所有知识都得储存在头脑里。它可以分布在不同地方——部分在头脑里，部分在外部世界，还有一部分存在于外界约束因素之中。

## 1. 含糊的知识引导精确的行为

### 人们不需要完全精确的知识来支撑引导他们的行为。

**原因：**

- 知识存储在头脑和外部世界中 （知识很多）
- 行动不需要完全精确的知识 （要求不高）
- 外界世界存在自然约束（选择少了）
- 头脑中的文化规范与习俗知识减少了选择的范围。（选择少了）

### 两种类型的知识：

1. 陈述性（是什么）->未必是真的
2. 程序性（怎么做）->通过练习来学习

---

- 人们利用环境获得大量备用信息：便利贴、信号灯、指示器，以及利用物品空间位置来提醒事件。
- 我们习惯寻找特色来区分事物，经验会影响我们如何区分

## 2. 记忆是储存在头脑中的知识

复杂的密码增加了人们记忆的难度，于是人们采用简单粗暴的方式来记下密码，这反而让密码不安全了。更好的方式是使用多种标识符。

## 3. 记忆的结构

### 两种记忆类型

#### 1. 短时记忆（工作记忆）

- 与当下任务有关
- 容易受干扰
- 用保留记忆的时常来衡量
- 记忆难度主要受条目数量影响，一般是 5 ～ 7 个，设计时则要缩减。
- 设计时可以利用多感官传递信息，减少对用户短时记忆的干扰

#### 2. 长时记忆（LTM /long-term memory)

- 存储的是过去的信息
- 存储和还原需要花费更多的时间和精力
- 解释信息的方式很重要，记忆的难点在于组织和管理信息
- 可以被伪造，回溯记忆不是完全准确的，我们只关注自己在意的信息。

---

- 合理的信息结构可以帮助理解、简化记忆，为信息的存储和提取建立了路径
- 设计应提供有意义的信息结构，减少人们需要记忆的分量和难度。
  "帮助人们记忆的最有效方式就是使人们不需要记忆。"

## 4.近似模型：现实世界里的记忆

- 现实生活中，通常不需要绝对的真理，“差不多“就可以满足人们的需求。
- 简化的概念模型可以减轻人们的思维负担

## 5.头脑中的知识

外界知识是帮助记忆的有力工具，关键是要在合适的场合、时间

### 前瞻记忆

仅仅指记住在未来某个时间要从事的一些活动这个记忆任务。（记住未来的某一件事）

### 未来记忆

指规划能力，想象未来的能力

### 提醒的两个层面：

1. 信号：有件事要做
2. 信息：这件事是什么

理想的提醒方法应兼顾两个层面

## 6.外界知识和头脑中知识的此消彼长

- 存储在外界和头脑中的知识，特性不同，使用的场所也不同
- 外界的知识可以减少头脑的负担，但使用起来比较低效

### 外界的知识

查找低效、初次使用时易用性高->设计可优化信息查找效率

### 头脑中的知识

查找高效、初次使用时易用性低（需要学习）->设计可构建合理概念模型，简化学习过程

![](https://raw.githubusercontent.com/norevi/image/main/img202110202356370.png)

## 7.多个大脑里和多个设备中的记忆

- 外界知识结合头脑知识的两种记忆形式：交换记忆、数码记忆
- 外界知识真假难辨，需要结合头脑中的知识进行辨别

## 8.自然映射

> 映射是结合外部世界与头脑里知识的最佳案例

### 什么是自然映射

作用于控制与被控制对象之间的，显而易见的映射关系，

### 三个层次的映射

1. 最佳映射：直接对应
2. 次好映射：位置靠近
3. 第三好的映射：空间分布一至

### 糟糕的映射 VS 好的映射

- 糟糕的映射：增加记忆负荷和使用者的出错几率（常见错误：缺乏标识）
- 好的映射：不需要另外的图表和标注
  购买者通常不是最终用户

## 9.文化与设计：自然映射随文化而异

- 对文化模式的选择将指导相对应的交互设计
- 受文化影响的一些映射关系：时间流动的方向、书写的方向、前后关系、物品的移动方向等
- 不同的概念模式切换时，设计会比较困难，用户需要时间学习和适应新的模式
