---
title: 知晓：约束、可视性和反馈
tags:
  - 设计心理学1
  - 读书笔记
categories:
  - 设计心理学
keywords:
  - 设计心理学
created: 2021-10-22T20:21:44.000Z
summary: 《设计心理学 1》第四章——遇到一个新的设备或状况，设计师应如何提供重要信息，以便人们知道如何操作
lastmod: 2022-04-16T12:55:16.673Z
# layout: post
---

## 章前

### 外界的知识：

- 示能、意符
- 显示、操纵的位置
- 操作和结果之间的匹配关系、
- 物理约束

### 头脑中的知识

- 概念模型
- 对行为的文化面向、语义面向和逻辑的约束
- 现状与以往经验之间的类比

## 1. 四种约束因素：物理、文化、语义和逻辑

### 物理约束

- 将可能的操作局限在一定范围内
- 物品的外部特性决定了它的操作方法
- 不需要专门培训用户如何使用
- 例如：电池只有朝一个方向放才可以放进去
- Tips：重要是解决用户的基本需求，而不是“约束”本身

### 文化约束

- 文化惯例、习俗
- 以范式的形式存在
  > 范式（schemas)：知识结构，由一般规则和信息组成，主要用于诠释状况，指导人们的行为
- 会随时间变化
- 例如：不同地区，打招呼的方式、尺度不同

### 语义约束

- 语义：关注意义
- 语义约束：利用某种境况的特殊含义来限定可能的操作方法
- 依据：对现实情况和外部世界的理解
- 会随时间变化
- 例如：在不同地方，颜色代表的意义不同

### 逻辑约束

- 如：空间或位置上的逻辑关系约束

## 2. 示能、意符和约束在日常用品设计中的应用

### 门的问题

- 我们必须知道要做什么，在什么地方做（面对新事物时的操作问题）
- 利用示能、约束限制可能的操作、规避不合理的行为
- 设计不应违反直觉（即用户习惯、思维惯性）
- 遵守文化规范

### 开关的问题

确定两类基本问题：

1. 要控制的设备
2. 映射

### 任务分析

通过对实际任务的细致观察，进行设计过程，从而设计出与实际任务最贴切的方法

### 以用户为中心的设计

基于对实际任务的细致观察，进行的设计过程

### 以活动为中心的控制

- 是什么：对开关所要完成的活动，进行充分仔细地分析和精心设计。以活动为划分功能/开关的依据。
- 仍需保留手动控制、调整功能

## 3. 引导行为的约束力

**强制功能**

### 是什么

一种物理约束，是较强约束的极端情况

### 作用

- 防止不当行为
- 在行动受到限制的情况下，确保出现在某个阶段的差错不会蔓延，能够防止产生进一步的后果

### 例子

需要用钥匙才可以开车

### 三种强制方式

#### 互锁

- 促使行动按正确的**次序**进行（先 1>2，互相关联的操作步骤)
- 例如：必须先关闭洗衣机门，才可以开始启动洗衣机，在洗衣中途打开洗衣机门的话，会强制断电，停止洗衣。

#### 自锁

- 自锁保持一个操作停留在激活状态，防止有人过早地停止操作
- 使某人待在一个空间，或在所需操作完成前防止误操作。
- （将用户圈定在安全的操作空间）
- 例如：就像监狱的牢房或婴儿床的围栏，防止一个人离开那个区域。

#### 反锁

- 防止某人进入那些危险的区域，或者阻止事情的发生
- （锁定的是危险的区域，而不是用户）
- 例如：封锁地下室的入口

## 4. 惯例、约束和示能

- 人们需要通过惯例来感知示能，对预设用途的解释是一个文化惯例
- 遵循一致性的设计可以减轻用户的学习成本
- 如果打破惯例得到的益处比遵循惯例得到的多，应选择打破惯例

## 5. 水龙头：关于设计的历史案例

- 标准化是设计的终极基本原则，统一的标准可以简化人们的生活，但达成一致的标准是困难的。
- 标准应该反应用户心理上的概念模型，而不是实际的物理模型

## 6. 利用声音作为意符

### 为什么

- 没有办法提供可视信息时，可以利用声音提供
- 声音可以帮助提供有用的反馈信息

### 应提供什么信息：

- 声音的来源
- 设备的工作状态
- 不可见但对用户有用的信息

### 如何提供

- 使用自然的声音
- 自然的声音可以反映出自然物体之间复杂的交互作用
- 当使用人造声音时，使用丰富的声谱，同时小心提供不会恼人但信息丰富的细节
- 设计标准
- 报警功能
- 定位功能
- 减少骚扰
- 标准化与个性化

### 例子

汽车的声音是重要的意符

### “拟真”(skeuomorphic)

- 指将那些将过去的、熟悉的概念融入到新的技术里，即使它们已经不能再发挥功能了。
- 帮助实现新旧技术之间的过渡
- 也被翻译为“拟物化
