---
title: 设计思维
created: 2021-11-03T03:49:10.353Z
categories:
  - 设计心理学
tags:
  - 设计心理学1
  - 读书笔记
draft: false
summary: 《设计心理学 1》第六章——设计需要探究问题的来源，而不只是停留在表面
lastmod: 2022-05-07T05:31:58.650Z
---

这一章和第七章读得有些仓促，加上是比较熟悉的内容，所以笔记比较简短。之后梳理概念的时候再仔细写写。

## 1. 解决正确的问题

设计思维的关键是要解决真正的、根本的问题。可以通过“五个为什么”等方法去**确定问题**。“以人为本的设计”则是可以应用于**解决问题**的原则之一，它强调采用满足用户需求和能力的恰当方式去解决问题，这主要是通过四个步骤：观察->创意->打样和测试。

## 2. 双钻设计模式

描述了设计的两个阶段：找到正确的问题，和满足用户需求

### 四个步骤（发散->聚焦）

1. 发现
2. 定义
3. 开发
4. 交付

## 3. 以人为本的设计流程

可以将以人为本的设计原则嵌入到双钻模型中，于是有“以人为本的设计流程
![](https://raw.githubusercontent.com/norevi/image/main/img202110272332820.png)

### 1.观察

- 即设计调研。通过调研深入洞察用户的真正需求，并分析用户在真实状况下的行为模式。

### 2. 激发创意（构思）

有很多激发创意的方法，核心的原则是：

- 激发大量的创意
- 不要批评，鼓励创意
- 质疑每一件事

### 3.打样（原型）

**奥兹向导”（Wizard of Oz**）：

- 一种模拟产品功能的方法
- 测试时让人执行通常由计算机执行的任务，且用户不知道该产品是不具备功能性的。

#### 4.测试

汇集小部分目标用户进行原型测试，作者一般一次单独测试 5 个人，有测试结果后改进方案，接着选择另外五个人再次测试。

- 原型测试的关键是：快速测试、快速失败

另外一些提到的概念：A/B 测试、以活动为中心的设计、关键点评审

## 4.我刚告诉你什么？那根本行不通

实践双钻模式和以人为本的设计理念时，会遇到很多现实的冲突。比较好的解决方法是组建跨部门的联合团队，并正视挑战，精心规划设计流程。

## 5.设计的挑战

提到了现在设计过程中常遇到的一些问题，比如有多个互相冲突的需求、缺少团队沟通的设计改动等。还提到了包容性设计/通用设计/无障碍设计的概念和意义。

## 6. 复杂是好事，混乱惹麻烦

复杂跟混乱是不一样的，复杂是“内容多，但有条理”，混乱是“内容多，但没条理”。驯服复杂性最重要的原则之一，是建立一个良好的概念模型。

## 7.标准化和技术

建立统一的标准可以提升产品的易用性，降低人们的学习成本。但建立标准是困难的，在技术没有完善之前建立标准，会让标准容易过时，而过迟建立标准，则很难达成一致。

## 8.故意制作困难

在需要设计限制的产品，比如安全系统、危险设备等，需要故意制造一些使用上的困难。但这并不意味着完全放弃产品的易用性，设计需要基于具体的任务来分析，在需要限制的地方反向利用优良设计的原则，在不需要限制的地方仍然遵循原则。

- 反向的规则：

1. 隐藏关键的部位
2. 在任务执行阶段利用不自然的匹配关系
3. 增加操作的物理难度。
4. 要求把握非常精确的操作时机和操作步骤。
5. 不提供任何反馈信息。
6. 在任务评估阶段利用不自然的匹配关系，使用户难以了解系统状态。

## 9. 设计：为了人类发展科技

设计是个非凡的学科

- 产品要被用户使用，这才是对设计最大的奖赏
